#include "awResumeExam.h"
#include "ui_awResumeExam.h"


#include "CAppInfo.h"

#include <QDesktopWidget>

awResumeExam::awResumeExam(QWidget *parent, QString sText) :
    QWidget(parent),
    ui(new Ui::awResumeExam)
{
    ui->setupUi(this);

    setStyleSheet(g_appInfoPtr->m_sQssStr);

	ui->label_awhp_title->setText(sText);
    initUI();
}

awResumeExam::~awResumeExam()
{
    delete ui;
}

void awResumeExam::initUI()
{
    QDesktopWidget *dekwiget = QApplication::desktop();
    setGeometry(0, 0, dekwiget->width(), dekwiget->height());
    ui->widget_mask->setGeometry(0, 0, dekwiget->width(), dekwiget->height());
	ui->label_awhp_title->adjustSize();
    ui->widget_awre_BG->setGeometry((width() - ui->label_awhp_title->width() - g_appInfoPtr->m_fRate*48*2)/2, (height() - g_appInfoPtr->m_fRate*73)/2,
		ui->label_awhp_title->width() + g_appInfoPtr->m_fRate * 48 * 2, g_appInfoPtr->m_fRate*73);
    
    ui->label_awhp_title->setGeometry((ui->widget_awre_BG->width() - ui->label_awhp_title->width())/2,
                                      (ui->widget_awre_BG->height() - ui->label_awhp_title->height())/2,
                                      ui->label_awhp_title->width(), ui->label_awhp_title->height());
}
